#1193 closed defect (fixed)

libcpu/arm accesses files from libbsp

Reported by: Ralf Corsepius Owned by: Ralf Corsepius
Priority: normal Milestone: 4.10
Component: build Version: 4.7
Severity: normal Keywords:
Cc: joel.sherrill@…, sebastian.huber@…, silvawp@… Blocked By:
Blocking:

Description

Structual defect of the source tree

libcpu/arm accesses files from libbsp

# find c/src/lib/libcpu -name Makefile.am -exec grep -H libbsp {} \;
c/src/lib/libcpu/arm/Makefile.am: ../../libbsp/arm/shared/irq/irq_init.c at91rm9200/irq/bsp_irq_asm.S \
c/src/lib/libcpu/arm/Makefile.am: ../../libbsp/arm/shared/irq/irq_asm.S at91rm9200/irq/irq.h
c/src/lib/libcpu/arm/Makefile.am: ../../libbsp/arm/shared/irq/irq_init.c mc9328mxl/irq/bsp_irq_asm.S \
c/src/lib/libcpu/arm/Makefile.am: ../../libbsp/arm/shared/irq/irq_asm.S mc9328mxl/irq/irq.h
c/src/lib/libcpu/arm/Makefile.am: ../../libbsp/arm/shared/irq/irq_init.c s3c2400/irq/bsp_irq_asm.S \
c/src/lib/libcpu/arm/Makefile.am: ../../libbsp/arm/shared/irq/irq_asm.S s3c2400/irq/irq.h

Change History (4)

comment:1 Changed on Aug 5, 2008 at 4:21:08 PM by Joel Sherrill

Cc: Joel Sherrill added

comment:2 Changed on Feb 11, 2012 at 4:48:08 PM by Wendell P Silva

Cc: Wendell P Silva added

comment:3 Changed on Feb 14, 2012 at 3:09:42 PM by Sebastian Huber

Cc: Sebastian Huber added
Milestone: 4.84.10

comment:4 Changed on Feb 14, 2012 at 3:11:56 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

Fixed in 4.10.

Note: See TracTickets for help on using tickets.